<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<p-button
  [link]="true"
  [label]="inflectPropCount"
  size="small"
  severity="secondary"
  [icon]="noProperties ? undefined : show ? 'pi pi-chevron-up' : 'pi pi-chevron-down'"
  iconPos="right"
  (onClick)="show = !show"
  [disabled]="noProperties"
></p-button>
<div *ngIf="show" class="flex flex-col px-5 text-sm">
  <ng-container *ngFor="let item of properties">
    <app-prop *ngIf="prop(item)" [item]="template" [prop]="prop(item)!"> </app-prop>
  </ng-container>
</div>
